//***************************************************************************
//
//  Author(s)...: Orc   
//
//  Target(s)...: AVR
//
//  Description.:  7-  4-   
//
//***************************************************************************

#ifndef INDICATOR_H
#define INDICATOR_H

#include <avr/io.h>

//****  ******************************

// OA || OK
#define OK



// 
#define PORT_SEG_A PORTB
#define DDR_SEG_A DDRB
#define PIN_SEG_A PB3

#define PORT_SEG_B PORTB
#define DDR_SEG_B DDRB
#define PIN_SEG_B PB5

#define PORT_SEG_C PORTD
#define DDR_SEG_C DDRD
#define PIN_SEG_C PD7

#define PORT_SEG_D PORTB
#define DDR_SEG_D DDRB
#define PIN_SEG_D PB1

#define PORT_SEG_E PORTB
#define DDR_SEG_E DDRB
#define PIN_SEG_E PB2

#define PORT_SEG_F PORTB
#define DDR_SEG_F DDRB
#define PIN_SEG_F PB4

#define PORT_SEG_G PORTD
#define DDR_SEG_G DDRD
#define PIN_SEG_G PD6

#define PORT_SEG_DP PORTB
#define DDR_SEG_DP DDRB
#define PIN_SEG_DP PB0

// 
#define PORT_DIG_1 PORTC
#define DDR_DIG_1 DDRC
#define PIN_DIG_1 PC2

#define PORT_DIG_2 PORTC
#define DDR_DIG_2 DDRC
#define PIN_DIG_2 PC1

#define PORT_DIG_3 PORTC
#define DDR_DIG_3 DDRC
#define PIN_DIG_3 PC0

#define PORT_DIG_4 PORTD
#define DDR_DIG_4 DDRD
#define PIN_DIG_4 PD5

//****  ******************************
//     
void AllOff(void);
//   -
void LED7_Init(void);
//  ,   0-3 ,   
void LED7_Write_number(unsigned int value, unsigned char dot);

void LED7_Update(unsigned char dots);

#endif //INDICATOR_H